Bug 468736 - Add a warning message when provisioning from RHEL5 to RHEL4
Add a warning message when provisioning from RHEL5 to RHEL4
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Matthews
John Matthews
:
Depends On:
Blocks: space04
  Show dependency treegraph
 
Reported: 2008-10-27 14:51 EDT by John Matthews
Modified: 2009-09-17 03:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:06:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2008-10-27 14:51:33 EDT
Description of problem:
When going from RHEL5 to RHEL4, the RHEL4 GPG key is required by the kickstart packages.  A user needs to manually install the RHEL 4 GPG key,
rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-former

This bz is to track the work to add a warning message to the kickstart webui to note this additional step is needed.
Comment 2 Jesus M. Rodriguez 2009-01-14 23:12:14 EST
How do I test this thing?
Comment 3 John Matthews 2009-01-15 09:36:10 EST
To test:

1) sync rhel4 & rhel5 content
2) Register a rhel4 system to spacewalk
3) Configure it to kickstart to rhel5.

Notice a simple text message instructing the user they need install the rhel4 key manually.

Note:  This change was done prior to the cobbler work, maybe it's no longer needed.
Comment 5 Miroslav Suchý 2009-09-17 03:06:36 EDT
Spacewalk 0.4 has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.